Index: trunk/var/www/info/alkis/alkisfkt.php
===================================================================
--- trunk/var/www/info/alkis/alkisfkt.php	(revision 49)
+++ trunk/var/www/info/alkis/alkisfkt.php	(revision 53)
@@ -9,4 +9,5 @@
 		07.09.2010  Schluessel anschaltbar
 		15.09.2010  Function "buchungsart" durch JOIN ersetzt
+		09.11.2010  Functions, die nur einmal aufgerufen wurden, sequentiell in FS-Nachw. integriert
 */
 
@@ -109,167 +110,4 @@
 }
 
-function fs_gebietszug($con, $gemeinde, $kreis, $bezirk, $showkey) {
-	// eine Tabellenzeile mit der Gebietszugehoerigkeit eines Flurstuecks wird ausgegeben
-	// Parameter = Schluesselwerte
-	// Schluessel "land" wird nicht verwendet, gibt es Bestaende wo das nicht einheitlich ist?
-
-	echo "\n<tr>\n\t<td class='ll'><img src='ico/Gemeinde.ico' width='16' height='16' alt=''> Im Gebiet von:</td>";
-	
-	// G e m e i n d e
-	$sql="SELECT bezeichnung FROM ax_gemeinde WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' AND gemeinde='".$gemeinde."' "; 
-	$res=pg_query($con, $sql);
-	if (!$res) echo "<p class='err'>Fehler bei Gemeinde<br>".$sql."<br></p>";
-	$row = pg_fetch_array($res);
-	$gnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "\n\t<td class='lr'>Gemeinde ";
-	if ($showkey) {
-		echo "<span class='key'>(".$gemeinde.")</span> ";
-	}
-	echo $gnam."<br>";
-
-	// K r e i s
-	$sql="SELECT bezeichnung FROM ax_kreisregion WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' "; 
-	$res=pg_query($con, $sql);
-	if (!$res) echo "<p class='err'>Fehler bei Kreis<br>".$sql."<br></p>";
-	$row = pg_fetch_array($res);
-	$knam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "Kreis ";
-	if ($showkey) {
-		echo "<span class='key'>(".$kreis.")</span> ";
-	}	
-	echo $knam."<br>";
-
-	// R e g - B e z
-	$sql="SELECT bezeichnung FROM ax_regierungsbezirk WHERE regierungsbezirk='".$bezirk."' "; 
-	$res=pg_query($con, $sql);
-	if (!$res) echo "<p class='err'>Fehler bei Regierungsbezirk<br>".$sql."<br></p>";
-	$row = pg_fetch_array($res);
-	$bnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "Regierungsbezirk ";
-	if ($showkey) {
-		echo "<span class='key'>(".$bezirk.")</span> ";
-	}
-	echo $bnam."</td>";
-	
-	// 3. Spalte fÃŒr NW-Link (in weiteren Tab-Zeilen)
-	echo "\n\t<td>&nbsp;</td>\n</tr>";
-	return 0;
-}
-
-function fs_lage($con, $gmlid, $gkz, $showkey) {
-	// Tabellenzeilen mit Lage eines FS
-	// Parameter = ID des FS
-
-	// Lagebezeichnung Mit Hausnummer
-	//   ax_flurstueck  >weistAuf>  AX_LagebezeichnungMitHausnummer
-	//                  <gehoertZu<
-	$sql ="SELECT l.gml_id, l.gemeinde, l.lage, l.hausnummer, s.bezeichnung ";
-	$sql.="FROM  alkis_beziehungen v ";
-	$sql.="JOIN  ax_lagebezeichnungmithausnummer  l ON v.beziehung_zu=l.gml_id "; // Strassennamen JOIN
-	$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND to_char(l.lage, 'FM00000')=s.lage ";
-	$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
-	$sql.="AND   v.beziehungsart='weistAuf' ";
-	$sql.="ORDER BY l.gemeinde, l.lage, l.hausnummer;";
-
-	// Theoretisch JOIN notwendig ÃŒber den kompletten SchlÃŒssel bestehend aus land+regierungsbezirk+kreis+gemeinde+lage
-	// bei einem SekundÃ€rbestand fÃŒr eine Gemeinde oder einen Kreis reicht dies hier:
-
-	//$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.gemeinde=s.gemeinde AND l.lage=s.lage ";
-	// Problem: ax_lagebezeichnungkatalogeintrag.lage  ist char,
-	//          ax_lagebezeichnungmithausnummer.lage   ist integer,
-
-	// cast() scheitert weil auch nicht numerische Inhalte
-	//$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.gemeinde=s.gemeinde AND l.lage=cast(s.lage AS integer) ";
-
-	// http://www.postgresql.org/docs/8.3/static/functions-formatting.html
-
-	$res=pg_query($con, $sql);
-	if (!$res) {echo "<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer<br>\n".$sql."</p>";}
-	$j=0;
-	while($row = pg_fetch_array($res)) {
-		$sname = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
-		//echo "<!-- Adresse -->";		
-		echo "\n<tr>\n\t";
-			if ($j == 0) {		
-				echo "<td class='ll'><img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''> Adresse:</td>";
-			} else {
-				echo "<td>&nbsp;</td>";
-			}
-			echo "\n\t<td class='lr'>";
-			if ($showkey) {
-				echo "<span class='key'>(".$row["lage"].")</span>&nbsp;";
-			}
-			echo $sname."&nbsp;".$row["hausnummer"]."</td>";
-			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
-				echo "\n\t\t\t<a href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage ";
-				echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
-			echo "\n\t\t</p>\n\t</td>";
-		echo "\n</tr>";
-		$j++;
-	}
-	$z=$j;
-
-	// L a g e b e z e i c h n u n g   O h n e   H a u s n u m m e r  (Gewanne oder nur Strasse)
-	//   ax_flurstueck  >zeigtAuf>  AX_LagebezeichnungOhneHausnummer
-	//                  <gehoertZu<
-	$sql ="SELECT l.gml_id, l.unverschluesselt, l.gemeinde, l.lage, s.bezeichnung ";
-	$sql.="FROM alkis_beziehungen v ";
-	$sql.="JOIN ax_lagebezeichnungohnehausnummer l ON l.gml_id=v.beziehung_zu ";
-	$sql.="LEFT JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde ";
-//	$sql.="AND l.lage=s.lage ";
-	// hier beide .lage als Char(5)
-	//  in ax_lagebezeichnungKatalogeintrag mit fÃŒhrenden Nullen
-	//  in ax_lagebezeichnungOhneHausnummer jedoch ohne fÃŒhrende Nullen
-	$sql.="AND l.lage=trim(leading '0' from s.lage) ";
-//	$sql.="AND cast(l.lage AS integer)=cast(s.lage AS integer) "; // Fehlversuch, auch nicht-numerische Inhalte
-	$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
-	$sql.="AND   v.beziehungsart='zeigtAuf';"; //ORDER?
-	$res=pg_query($con, $sql);
-	if (!$res) echo "<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer<br>\n".$sql."</p>";
-	$j=0;
-	// Es wird auch eine Zeile ausgegeben, wenn kein Eintrag gefunden!	
-	while($row = pg_fetch_array($res)) {
-		$gewann = htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
-		$skey=$row["lage"]; // Strassenschluessel
-		$lgml=$row["gml_id"]; // key der Lage
-		if (!$gewann == "") {
-			echo "\n<tr>";		
-				echo "\n\t<td class='ll'><img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''> Gewanne:</td>";
-				echo "\n\t<td class='lr'>".$gewann."</td>";
-				echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
-					echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
-					echo "\n\t\t\tLage <img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''></a>";
-				echo "\n\t\t</p>\n\t</td>";
-			echo "\n</tr>";		
-		}
-		// Gleicher DB-Eintrag in zwei HTML-Zeilen, besser nur ein Link	
-		if ($skey > 0) {
-			echo "\n<tr>";	
-				echo "\n\t<td class='ll'><img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''> Stra&szlig;e:</td>";				
-				echo "\n\t<td class='lr'>";
-				if ($showkey) {
-					echo "<span class='key'>(".$skey.")</span>&nbsp;";
-				}
-				echo $row["bezeichnung"]."</td>";
-				echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
-					echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
-					echo "\n\t\t\tLage <img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''>\n\t\t\t</a>";
-				echo "\n\t\t</p>\n\t</td>";
-			echo "\n</tr>";
-		}		
-		$j++;
-	}
-	$z=$z+$j;
-	return $z; // Anzahl Zeilen
-}
-
-function fs_nutz($con, $gmlid) {
-	// Tabellenzeilen (3 Sp.) mit tats. Nutzung zu einem FS ausgeben
-	// Parameter = ID des FS
-	echo "\n<tr>\n\t<td class='ll'><img src='ico/Abschnitt.ico' width='16' height='16' alt=''> Nutzungsarten:</td>";
-	echo "\n\t<td class='ph'>(Programmteil ist noch in Arbeit)</td>";
-	echo "\n\t<td>&nbsp;</td>\n</tr>";
-}
-
 function bnw_fsdaten($con, $gkz, $idanzeige, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus, $showkey) {
 /*	Bestandsnachweis - Flurstuecksdaten
@@ -296,5 +134,4 @@
 		$bvnr=str_pad($lfdnr, 4, "0", STR_PAD_LEFT);	
 	}
-
 	$altlfdnr="";
 	$j=0;
Index: trunk/var/www/info/alkis/mapbender.php
===================================================================
--- trunk/var/www/info/alkis/mapbender.php	(revision 49)
+++ trunk/var/www/info/alkis/mapbender.php	(revision 53)
@@ -1,4 +1,4 @@
 <?php
-header("Location: http://map.krz.de/mapwww/frames/login.php?name=xxxxxx&password=xxxxx&mb_user_myGui=ALKIS_Demo&mb_myPOI2SCALE=353072,5530881,1000");
+header("Location: http://map.krz.de/mapwww/frames/login.php?name=alkisdemo&password=alkisdemo&mb_user_myGui=ALKIS_Demo&mb_myPOI2SCALE=353072,5530881,1000");
 exit();
 ?>
Index: trunk/var/www/info/alkis/alkisinlaybaurecht.php
===================================================================
--- trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 49)
+++ trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 53)
@@ -6,4 +6,5 @@
 	21.09.2010  Neu
 	22.09.2010  Feintuning, sql-Limit
+	11.10.2010  simplify Geometrie: Schwellwert Verschneidung FlÃ€che>0 anpassen
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -25,4 +26,5 @@
 	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Gericht.ico">
+	<base target="_blank">
 </head>
 <body>
@@ -100,5 +102,5 @@
 $sql.="WHERE r.gml_id='".$gmlid."' "; 
 $sql.="AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true ";
-$sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0 ";
+$sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 ";  // > 0.0 ist gemeint, Ungenauigkeit durch st_simplify
 $sql.="ORDER BY schnittflae DESC ";
 // Limit: Flurbereinigungsgebiete koennen sehr gross werden!
Index: trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisfsnw.php	(revision 49)
+++ trunk/var/www/info/alkis/alkisfsnw.php	(revision 53)
@@ -10,4 +10,7 @@
 	07.09.2010  Kennzeichen-Rahmen f. fiktives Blatt, Schluessel anschaltbar
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	30.09.2010  noprint
+	09.11.2010  Nutzung, ehem. php-Functions hier integriert
+	10.11.2010  Felder nutzung.zustand und nutzung.name 
 
 	ToDo: 
@@ -35,5 +38,5 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
 	<style type='text/css' media='print'>
-		.noprint { visibility: hidden;}
+		.noprint {visibility: hidden;}
 	</style>
 </head>
@@ -72,8 +75,11 @@
 	$gemkname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
 	$gmkgnr=$row["gemarkungsnummer"];
+	$bezirk=$row["regierungsbezirk"];
+	$kreis=$row["kreis"];
+	$gemeinde=$row["gemeinde"];
 	$flurnummer=$row["flurnummer"];
 	$flstnummer=$row["zaehler"];
 	$nenner=$row["nenner"];
-	if ($nenner > 0) $flstnummer.="/".$nenner; // BruchNr
+	if ($nenner > 0) {$flstnummer.="/".$nenner;} // BruchNr
 	$flae=number_format($row["amtlicheflaeche"],0,",",".") . " m&#178;";
 } else {echo "Fehler! Kein Treffer fuer gml_id=".$gmlid;}
@@ -120,23 +126,260 @@
 echo "\n<table class='fs'>";
 	
-	fs_gebietszug($con, $row["gemeinde"], $row["kreis"], $row["regierungsbezirk"], $showkey); // Gebietszugehoerigkeit
-
-	fs_lage($con, $gmlid, $gkz, $showkey); // Adresse, Lagebezeichnung
-
-	fs_nutz($con, $gmlid, $showkey); // Tatsaechliche Nutzung
-
-	// Flaeche und Link auf GebÃ€ude-Auswertung
-	echo "\n<tr>";
-		echo "\n\t<td class='ll'>Fl&auml;che:</td>"; // Sp. 1
-		echo "\n\t<td class='lr'>".$flae."</td>"; // Sp. 2
-		echo "\n\t<td>"; // Sp. 3
-			echo "\n\t\t<p class='nwlink noprint'>"; // Gebaeude-Verschneidung
-				echo "\n\t\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
-				if ($idanzeige) {echo "&amp;id=j";}
-				if ($showkey)   {echo "&amp;id=j";}
-				echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
-			echo "\n\t\t</p>";
-		echo "\n\t</td>";
+// ** G e b i e t s z u g e h o e r i g k e i t **
+// eine Tabellenzeile mit der Gebietszugehoerigkeit eines Flurstuecks wird ausgegeben
+// Schluessel "land" wird nicht verwendet, gibt es Bestaende wo das nicht einheitlich ist?
+echo "\n<tr>\n\t<td class='ll'><img src='ico/Gemeinde.ico' width='16' height='16' alt=''> Im Gebiet von:</td>";
+
+// G e m e i n d e
+$sql="SELECT bezeichnung FROM ax_gemeinde WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' AND gemeinde='".$gemeinde."' "; 
+$res=pg_query($con, $sql);
+if (!$res) echo "<p class='err'>Fehler bei Gemeinde<br>".$sql."<br></p>";
+$row = pg_fetch_array($res);
+$gnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
+echo "\n\t<td class='lr'>Gemeinde ";
+if ($showkey) {
+	echo "<span class='key'>(".$gemeinde.")</span> ";
+}
+echo $gnam."<br>";
+
+// K r e i s
+$sql="SELECT bezeichnung FROM ax_kreisregion WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' "; 
+$res=pg_query($con, $sql);
+if (!$res) echo "<p class='err'>Fehler bei Kreis<br>".$sql."<br></p>";
+$row = pg_fetch_array($res);
+$knam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
+echo "Kreis ";
+if ($showkey) {
+	echo "<span class='key'>(".$kreis.")</span> ";
+}	
+echo $knam."<br>";
+
+// R e g - B e z
+$sql="SELECT bezeichnung FROM ax_regierungsbezirk WHERE regierungsbezirk='".$bezirk."' "; 
+$res=pg_query($con, $sql);
+if (!$res) echo "<p class='err'>Fehler bei Regierungsbezirk<br>".$sql."<br></p>";
+$row = pg_fetch_array($res);
+$bnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
+echo "Regierungsbezirk ";
+if ($showkey) {
+	echo "<span class='key'>(".$bezirk.")</span> ";
+}
+echo $bnam."</td>";
+echo "\n\t<td>&nbsp;</td>\n</tr>"; // 3. Spalte fÃŒr NW-Link (in weiteren Tab-Zeilen)
+// ENDE G e b i e t s z u g e h o e r i g k e i t
+
+
+// ** L a g e b e z e i c h n u n g **
+
+// Lagebezeichnung Mit Hausnummer
+//   ax_flurstueck  >weistAuf>  AX_LagebezeichnungMitHausnummer
+//                  <gehoertZu<
+$sql ="SELECT l.gml_id, l.gemeinde, l.lage, l.hausnummer, s.bezeichnung ";
+$sql.="FROM  alkis_beziehungen v ";
+$sql.="JOIN  ax_lagebezeichnungmithausnummer  l ON v.beziehung_zu=l.gml_id "; // Strassennamen JOIN
+$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND to_char(l.lage, 'FM00000')=s.lage ";
+$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
+$sql.="AND   v.beziehungsart='weistAuf' ";
+$sql.="ORDER BY l.gemeinde, l.lage, l.hausnummer;";
+
+// Theoretisch JOIN notwendig ÃŒber den kompletten SchlÃŒssel bestehend aus land+regierungsbezirk+kreis+gemeinde+lage
+// bei einem SekundÃ€rbestand fÃŒr eine Gemeinde oder einen Kreis reicht dies hier:
+
+//$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.gemeinde=s.gemeinde AND l.lage=s.lage ";
+// Problem: ax_lagebezeichnungkatalogeintrag.lage  ist char,
+//          ax_lagebezeichnungmithausnummer.lage   ist integer,
+
+// cast() scheitert weil auch nicht numerische Inhalte
+//$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.gemeinde=s.gemeinde AND l.lage=cast(s.lage AS integer) ";
+
+// http://www.postgresql.org/docs/8.3/static/functions-formatting.html
+
+$res=pg_query($con, $sql);
+if (!$res) {echo "<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer<br>\n".$sql."</p>";}
+$j=0;
+while($row = pg_fetch_array($res)) {
+	$sname = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
+	//echo "<!-- Adresse -->";		
+	echo "\n<tr>\n\t";
+		if ($j == 0) {		
+			echo "<td class='ll'><img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''> Adresse:</td>";
+		} else {
+			echo "<td>&nbsp;</td>";
+		}
+		echo "\n\t<td class='lr'>";
+		if ($showkey) {
+			echo "<span class='key'>(".$row["lage"].")</span>&nbsp;";
+		}
+		echo $sname."&nbsp;".$row["hausnummer"]."</td>";
+		echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+			echo "\n\t\t\t<a href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage ";
+			echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
+		echo "\n\t\t</p>\n\t</td>";
 	echo "\n</tr>";
+	$j++;
+}
+// Verbesserung: mehrere HsNr zur gleichen StraÃe als Liste?
+
+// L a g e b e z e i c h n u n g   O h n e   H a u s n u m m e r  (Gewanne oder nur Strasse)
+//   ax_flurstueck  >zeigtAuf>  AX_LagebezeichnungOhneHausnummer
+//                  <gehoertZu<
+$sql ="SELECT l.gml_id, l.unverschluesselt, l.gemeinde, l.lage, s.bezeichnung ";
+$sql.="FROM alkis_beziehungen v ";
+$sql.="JOIN ax_lagebezeichnungohnehausnummer l ON l.gml_id=v.beziehung_zu ";
+$sql.="LEFT JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde ";
+//	$sql.="AND l.lage=s.lage ";
+// hier beide .lage als Char(5)
+//  in ax_lagebezeichnungKatalogeintrag mit fÃŒhrenden Nullen
+//  in ax_lagebezeichnungOhneHausnummer jedoch ohne fÃŒhrende Nullen
+$sql.="AND l.lage=trim(leading '0' from s.lage) ";
+//	$sql.="AND cast(l.lage AS integer)=cast(s.lage AS integer) "; // Fehlversuch, auch nicht-numerische Inhalte
+$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
+$sql.="AND   v.beziehungsart='zeigtAuf';"; //ORDER?
+$res=pg_query($con, $sql);
+if (!$res) echo "<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer<br>\n".$sql."</p>";
+$j=0;
+// Es wird auch eine Zeile ausgegeben, wenn kein Eintrag gefunden!	
+while($row = pg_fetch_array($res)) {
+	$gewann = htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
+	$skey=$row["lage"]; // Strassenschluessel
+	$lgml=$row["gml_id"]; // key der Lage
+	if (!$gewann == "") {
+		echo "\n<tr>";		
+			echo "\n\t<td class='ll'><img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''> Gewanne:</td>";
+			echo "\n\t<td class='lr'>".$gewann."</td>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+				echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
+				echo "\n\t\t\tLage <img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''></a>";
+			echo "\n\t\t</p>\n\t</td>";
+		echo "\n</tr>";		
+	}
+	// Gleicher DB-Eintrag in zwei HTML-Zeilen, besser nur ein Link	
+	if ($skey > 0) {
+		echo "\n<tr>";	
+			echo "\n\t<td class='ll'><img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''> Stra&szlig;e:</td>";				
+			echo "\n\t<td class='lr'>";
+			if ($showkey) {
+				echo "<span class='key'>(".$skey.")</span>&nbsp;";
+			}
+			echo $row["bezeichnung"]."</td>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+				echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
+				echo "\n\t\t\tLage <img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''>\n\t\t\t</a>";
+			echo "\n\t\t</p>\n\t</td>";
+		echo "\n</tr>";
+	}		
+	$j++;
+}
+// ENDE  L a g e b e z e i c h n u n g
+
+// ** N U T Z U N G **
+// Tabellenzeilen (3 Spalten) mit tats. Nutzung zu einem FS ausgeben
+$sql ="SELECT m.title, m.fldclass, m.fldinfo, n.gml_id, c.class, n.info, n.zustand, n.name, n.bezeichnung, ";
+// ", m.gruppe,  ";
+// Gemeinsame FlÃ€che von NUA und FS
+$sql.="round(st_area(st_intersection(n.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae, ";
+$sql.="c.label, c.blabla ";
+//	$sql.="round(area(n.wkb_geometry)::numeric,2) AS nflae "; // Flaeche NUA gesamt
+$sql.="FROM ax_flurstueck f, nutzung n ";
+$sql.="JOIN nutzung_meta m ON m.nutz_id=n.nutz_id ";
+$sql.="LEFT JOIN nutzung_class c ON c.nutz_id=n.nutz_id AND c.class=n.class ";
+$sql.="WHERE f.gml_id='".$gmlid."' "; // id FS";
+$sql.="AND st_intersects(n.wkb_geometry,f.wkb_geometry) = true "; // ueberlappende Flaechen
+$sql.="AND st_area(st_intersection(n.wkb_geometry,f.wkb_geometry)) > 0.05 "; // unter Rundung
+$sql.="ORDER BY schnittflae DESC;";
+
+$res=pg_query($con, $sql);
+if (!$res) {echo "<p class='err'>Fehler bei Suche tats. Nutzung<br>\n".$sql."</p>";}
+$j=0;
+while($row = pg_fetch_array($res)) {
+//	$grupp = $row["gruppe"];  // Individuelles Icon?
+	$title = htmlentities($row["title"], ENT_QUOTES, "UTF-8"); // NUA-Titel
+	$fldclass=$row["fldclass"]; // Feldname erstes  Zusatzfeld
+	$fldinfo= $row["fldinfo"];  // Feldname zweites Zusatzfeld
+	$gml=$row["gml_id"]; // Objekt-Kennung
+	$class=$row["class"];  // erstes Zusatzfeld verschlÃŒsselt -> nutzung_class
+	$info=$row["info"]; // zweites Zusatzfeld verschlÃŒsselt (noch keine Info zum entschl.)
+	$schnittflae=$row["schnittflae"];
+	$label=$row["label"]; // Nutzungsart
+	$zus=$row["zustand"]; // im Bau
+	$nam=$row["name"]; // Eigenname
+	$bez=$row["bezeichnung"]; // weiterer Name (unverschl.)
+	$blabla=htmlentities($row["blabla"], ENT_QUOTES, "UTF-8");  // Achtung, enthÃ€lt auch ""
+//	$nflae=$row["nflae"];
+
+// Icon nach Gruppe?: 
+// Siedlung - Abschnitt.ico, Verkehr - Strassen_Klassifikation.ico, GewÃ€sser - Wasser.ico
+// Vegetation - Wald.ico, Title=Landwirtschaft Landwirt.ico
+	echo "\n<tr>\n\t";
+		if ($j == 0) {		
+			echo "<td class='ll'><img src='ico/Abschnitt.ico' width='16' height='16' alt=''> Nutzung:</td>";
+		} else {
+			echo "<td>&nbsp;</td>";
+		}
+		echo "\n\t<td class='lr'>".$schnittflae." m&#178;</td>";
+		
+		echo "\n\t<td class='lr'>";
+			// Eigene Nachweis-Seite fÃŒr Nutzungsart-FlÃ€che sinnvoll? dann hier verlinken 
+			//echo "\n\t\t<p class='nwlink noprint'>";
+				//echo "\n\t\t\t<a href='alkisnua.php?gkz=".$gkz."amp;gmlid=".$gml."'>Nutzung ";
+				//echo "<img src='ico/Abschnitt.ico' width='16' height='16' alt=''></a>";
+				//if ($idanzeige) {linkgml($gkz, $gml, "Nutzung");} // Nein, ist mit nix verknuepft
+			//echo "\n\t\t</p>";
+			echo $title;
+			If ($class != "") {  // SchlÃŒssel
+				echo ", ".$fldclass.": "; // Feldname
+				if ($label != "") { // Bedeutung dazu wurde erfasst
+					if ($showkey) {echo "<span class='key'>(".$class.")</span> ";}
+					echo "<span title='".$blabla."'>".$label."</span> ";
+				} else { // muss noch erfasst werden
+					echo $class." "; // SchlÃŒssel als Ersatz fÃŒr Bedeutung
+				}
+			}
+			If ($info != "") { // manchmal ein zweites Zusatzfeld (wie entschlÃŒsseln?)
+				echo ", ".$fldinfo."=".$info;
+			}
+			If ($zus != "") {
+				echo "\n\t\t<br>";
+				if ($showkey) {echo "<span class='key'>(".$zus.")</span> ";}
+				switch ($zus) {
+					case 2100:
+						echo "AuÃer Betrieb, stillgelegt, verlassen";
+						break;
+					case 4000:
+						echo "Im Bau";
+						break;
+					case 8000:
+						echo "Erweiterung, Neuansiedlung";
+						break;
+					default:
+						echo "Zustand: ".$zus;
+						break;
+				}
+			}
+			If ($nam != "") {
+				echo "<br>Name: ".$nam;
+			}
+			If ($bez != "") {
+				echo "<br>Bezeichnung: ".$bez;
+			}
+		echo "</td>";
+	echo "\n</tr>";
+	$j++;
+}
+// ENDE  N U T Z U N G
+
+// Flaeche und Link auf GebÃ€ude-Auswertung
+echo "\n<tr>";
+	echo "\n\t<td class='ll'>Fl&auml;che:</td>"; // Sp. 1
+	echo "\n\t<td class='lr'><span class='flae'>".$flae."</span></td>"; // Sp. 2
+	echo "\n\t<td>"; // Sp. 3
+		echo "\n\t\t<p class='nwlink noprint'>"; // Gebaeude-Verschneidung
+			echo "\n\t\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
+			if ($idanzeige) {echo "&amp;id=j";}
+			if ($showkey)   {echo "&amp;id=j";}
+			echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
+		echo "\n\t\t</p>";
+	echo "\n\t</td>";
+echo "\n</tr>";
 
 echo "\n</table>";
@@ -159,5 +402,5 @@
 					echo "&amp;eig=n#gb' title='Flurst&uuml;cksnachweis'>ohne Eigent&uuml;mer</a>";
 				} else {	
-					echo "&amp;eig=j#gb' title='Flurst&uuml;cks- und Eigent&uuml;mernachweis'>mit Eigent&uuml;mer";
+					echo "&amp;eig=j#gb' title='Flurst&uuml;cks- und Eigent&uuml;mernachweis'>mit Eigent&uuml;mer ";
 					echo "<img src='ico/EigentuemerGBzeile.ico' width='16' height='16' alt=''></a>";
 				}
@@ -259,5 +502,5 @@
 					linkgml($gkz, $gmlg, "Buchungsblatt");
 				}
-				echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
+				echo "\n\t<p class='nwlink noprint'>weitere Auskunft:<br>";
 					echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gmlg."#bvnr".$lfd;
 						if ($idanzeige) {echo "&amp;id=j";}
@@ -268,5 +511,6 @@
 							echo "' title='Grundbuchnachweis'>";
 						}						
-						echo $blattartg." <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''></a>";
+						echo $blattartg." <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''>";
+					echo "</a>";
 				echo "\n\t</p>";
 			echo "\n</td>";
Index: trunk/var/www/info/alkis/alkisauszug.css
===================================================================
--- trunk/var/www/info/alkis/alkisauszug.css	(revision 49)
+++ trunk/var/www/info/alkis/alkisauszug.css	(revision 53)
@@ -7,4 +7,6 @@
 	06.09.2010  Kennzeichen-Rahmenfarben differenziert
 	21.09.2010  Inlay
+	30.09.2010  body-width bei Print
+	12.10.2010  class p.fsd: margin statt position-relative, dann keine Scrollbar
 */
 body	{background-color: #FDFFFD;}
@@ -17,28 +19,10 @@
 p.fsei		{text-align: right; background: olive;	color: silver;} /* Flurstuecks- und Eigentuemer-Nachweis */
 p.gbkennz	{text-align: right; background: green;	color: silver;} /* Bestandsnachweis */
-p.nakennz	{text-align: right; background: maroon;	color: silver;} /* Personen- und Adressdaten */
-p.geb			{text-align: right; background: yellow;	color: gray;} /* Gebaeude zum FS */
-p.lage		{text-align: right; background: lime;	color: gray;} /* Gebaeude zum FS */
-
-/*
-black
-gray
-maroon	= Name
-red
-green		= GB	
-lime		= Lagebezeichnung
-olive		= FS mit Eigent.
-yellow	= Gebaeude
-navy		= FS   
-blue
-purple
-fuchsia
-teal		= Auskunft Start
-aqua
-silver
-white */
+p.nakennz	{text-align: right; background: maroon; color: silver;} /* Personen- und Adressdaten */
+p.geb			{text-align: right; background: yellow; color: gray;}	/* Gebaeude zum FS */
+p.lage		{text-align: right; background: lime; color: gray;}	/* Gebaeude zum FS */
 
 p.bezieh	{text-align: right; background: olive;	color: silver;} /* Beziehungen */
-p.fsd		{position: relative;	left: 170px;}	/* Flst-Flaeche */
+p.fsd		{margin-left: 170px;}	/* Flst-Flaeche */
 p.gbl		{position: relative;	left:  60px;}	/* Nam: Buchungsstelle*/
 p.zus		{margin: 2pt; padding: 2pt; border:1px dotted maroon; background: white;} /* Zusatz zum Eigent., gerahmt */
@@ -82,4 +66,5 @@
 span.key 		{color: gray; font-style: italic;} /* Schluesselwert vor Text, Wert zurueck nehmen */
 span.wichtig	{color: #BB0000; font-weight: bold;} /* Wert hervorheben */
+span.flae		{font-weight: bold;} /* FlÃ€chensume Flurst. */
 
 /* ** T a b e l l e n ** */
@@ -154,4 +139,4 @@
 }
 @media print {
-	body {width: 100%; background-color:white;}
+	body {width: 98%; background-color:white;}
 }
Index: trunk/var/www/info/alkis/alkisinlayausk.php
===================================================================
--- trunk/var/www/info/alkis/alkisinlayausk.php	(revision 53)
+++ trunk/var/www/info/alkis/alkisinlayausk.php	(revision 53)
@@ -0,0 +1,186 @@
+<?php
+/*	alkisausk.php
+
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	Dies Programm wird aus dem Mapserver-Template (FeatureInfo) aufgerufen.
+	Parameter:&gkz, &gml_id (optional &id)
+	Dies Programm gibt einen kurzen Ueberblick zum Flurstueck.
+	Eigentuemer ohne Adresse.
+	Fuer detaillierte Angaben wird zum GB- oder FS-Nachweis verlinkt.
+
+	Version:
+		11.10.2010  Umbau alkisausk zu inlay-Version
+		
+	ToDo:  Eigentum evtl. rausnehmen (Platz im iFrame?)
+*/
+ini_set('error_reporting', 'E_ALL');
+session_start();
+require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
+include("alkisfkt.php");
+?>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta name="author" content="F. Jaeger krz" >
+	<meta http-equiv="cache-control" content="no-cache">
+	<meta http-equiv="pragma" content="no-cache">
+	<meta http-equiv="expires" content="0">
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
+	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
+	<title>ALKIS-Auskunft</title>
+	<base target="_blank">
+</head>
+<body>
+<?php
+$gmlid = isset($_GET["gmlid"]) ? $_GET["gmlid"] : 0;
+$gkz=urldecode($_REQUEST["gkz"]);
+$id = isset($_GET["id"]) ? $_GET["id"] : "n";
+$dbname = 'alkis05' . $gkz;
+$con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) {echo "<br>Fehler beim Verbinden der DB.\n<br>";}
+
+// *** F L U R S T U E C K ***
+$sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, ";
+$sql.=" g.gemarkungsnummer, g.bezeichnung ";
+$sql.="FROM ax_flurstueck f ";
+$sql.="JOIN ax_gemarkung  g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
+$sql.="WHERE f.gml_id='".$gmlid."';";
+// Weiter joinen: g.stelle -> ax_dienststelle "Katasteramt"
+
+$res=pg_query($con,$sql);
+if (!$res) {echo "\n<p class='err'>Fehler bei Flurstuecksdaten\n<br>".$sql."</p>\n";}
+
+if ($row = pg_fetch_array($res)) {
+	$gemkname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
+	$gmkgnr=$row["gemarkungsnummer"];
+	$flurnummer=$row["flurnummer"];
+	$flstnummer=$row["zaehler"];
+	$nenner=$row["nenner"];
+	if ($nenner > 0) $flstnummer.="/".$nenner; // BruchNr
+	$flae=$row["amtlicheflaeche"];
+	$flae=number_format($flae,0,",",".") . " m&#178;";
+} else {
+	echo "<p class='err'>Kein Treffer fuer gml_id=".$gmlid."</p>";
+}
+
+echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;ck - &Uuml;bersicht</h2>";
+
+echo "\n<table class='outer'>\n<tr>\n<td>";
+	echo "\n\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>\n\t<tr>";
+	echo "\n\t\t<td class='head'>Gmkg</td>\n\t\t<td class='head'>Flur</td>\n\t\t<td class='head'>Flurst-Nr.</td>\n\t</tr>";
+	echo "\n\t<tr>\n\t\t<td title='Gemarkung'>".$gemkname."</td>";
+	echo "\n\t\t<td title='Flurnummer'>".$flurnummer."</td>";
+	echo "\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t</tr>";
+	echo "\n\t</table>";
+echo "\n</td>\n<td>";
+echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
+
+// Flurstuecksnachweis (o. Eigent.)
+echo "\n\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=n";
+echo "' title='Flurst&uuml;cksnachweis, alle Flurst&uuml;cksdaten'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a><br>";
+
+// FS- u. Eigent.-NW
+echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j";
+echo "' title='Flurst&uuml;ck mit Eigent&uuml;mer'>Flurst&uuml;ck mit Eigent&uuml;mer</a> <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''><br>";
+
+// Gebaeude-NW
+echo "\n\t\t<a href='alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
+echo "' title='Geb&auml;udenachweis'>Geb&auml;ude <img src='ico/Haus.ico' width='16' height='16' alt=''></a>";
+
+// FS-Historie (noch nicht in DB)
+//echo "&nbsp;|&nbsp;<a href='alkisfshist.php?gkz=".$gkz."&amp;flurstkennz=".$gmlid."' title='Vorg&auml;nger- und Nachfolger-Flurst&uuml;cke'>Historie</a>\n";
+echo "\n\t</p>\n</td>";
+echo "\n</tr>\n</table>\n";
+echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".$flae."</b></p>\n";
+
+// *** G R U N D B U C H ***
+echo "\n<h2><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Grundbuch</h2>";
+// ALKIS: FS --> bfs --> GS --> bsb --> GB.
+$sql ="SELECT b.gml_id, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung as blatt, b.blattart, ";
+$sql.="s.gml_id AS s_gml, s.buchungsart, s.laufendenummer, s.zaehler, s.nenner, ";
+$sql.="z.bezeichnung, a.bezeichner AS bart ";  // stelle -> amtsgericht
+$sql.="FROM  alkis_beziehungen    bfs "; // Bez Flurst.- Stelle.
+$sql.="JOIN  ax_buchungsstelle      s ON bfs.beziehung_zu=s.gml_id ";
+$sql.="JOIN  alkis_beziehungen    bsb ON s.gml_id=bsb.beziehung_von "; // Bez. Stelle - Blatt
+$sql.="JOIN  ax_buchungsblatt       b ON bsb.beziehung_zu=b.gml_id ";
+$sql.="JOIN  ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk ";
+
+$sql.="LEFT JOIN ax_buchungsstelle_buchungsart a ON s.buchungsart = a.wert ";
+
+$sql.="WHERE bfs.beziehung_von='".$gmlid."' ";
+$sql.="AND   bfs.beziehungsart='istGebucht' ";
+$sql.="AND   bsb.beziehungsart='istBestandteilVon' ";
+$sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
+$resg=pg_query($con,$sql);
+if (!$resg) echo "\n<p class='err'>Keine Buchungen.<br>\nSQL= ".$sql."</p>\n";
+$j=0; // Z.Blatt
+while($rowg = pg_fetch_array($resg)) {
+	$beznam=$rowg["bezeichnung"];
+	echo "\n<hr>\n<table class='outer'>";
+	echo "\n<tr>";
+	echo "\n<td>";
+
+		$blattkey=$rowg["blattart"];
+		$blattart=blattart($blattkey);
+		if ($blattkey == 1000) {		
+			echo "\n\t<table class='kennzgb' title='Bestandskennzeichen'>";
+		} else {		
+			echo "\n\t<table class='kennzgbf' title='Bestandskennzeichen'>"; // dotted
+		}
+			echo "\n\t<tr>";
+				echo "\n\t\t<td class='head'>Bezirk</td>";
+				echo "\n\t\t<td class='head'>".$blattart."</td>";
+				echo "\n\t\t<td class='head'>Lfd-Nr,</td>";
+				echo "\n\t\t<td class='head'>Buchungsart</td>";
+			echo "\n\t</tr>";
+			echo "\n\t<tr>";
+				echo "\n\t\t<td title='Grundbuchbezirk'>";
+				echo $beznam."</td>";
+				echo "\n\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$rowg["blatt"]."</span></td>";
+				echo "\n\t\t<td title='Bestandsverzeichnis-Nummer (BVNR, Grundst&uuml;ck)'>".$rowg["laufendenummer"]."</td>";
+				echo "\n\t\t<td title='Buchungsart'>".$rowg["bart"]."</td>";
+			echo "\n\t</tr>";
+		echo "\n\t</table>";
+
+		if ($rowg["zahler"] <> "") {
+			echo "\n<p class='ant'>".$rowg["zahler"]."/".$rowg["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
+		}
+		echo "\n</td>\n<td>";
+		echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
+			echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0];
+				echo "' title='Grundbuchnachweis'>";
+				echo $blattart;
+				echo " <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''>";
+			echo "</a>";
+		echo "\n\t</p>";
+	echo "\n</td>";
+	echo "\n</tr>";
+	echo "\n</table>";
+	
+	// E I G E N T U E M E R
+	if ($blattkey == 5000) { // Schluessel Blattart
+		echo "\n<p>Keine Angaben zum Eigentum bei fiktivem Blatt</p>\n";
+		echo "\n<p>Siehe weitere Grundbuchbl&auml;tter mit Rechten an dem fiktiven Blatt.</p>\n";
+	} else {// kein Eigent. bei fiktiv. Blatt
+		echo "\n<hr>\n\n<h3><img src='ico/Eigentuemer_2.ico' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
+
+		// Ausgabe Name in Function
+		$n = eigentuemer($con, $gkz, $idanzeige, $rowg["gml_id"], false); // hier ohne Adressen
+
+		if ($n == 0) { // keine Namensnummer, kein Eigentuemer
+			echo "\n<p class='err'>Keine Eigent&uuml;mer gefunden.</p>";
+			echo "\n<p class='err'>Bezirk ".$rowg["bezirk"]." Blatt ".$rowg["blatt"]." Blattart ".$blattkey." (".$blattart.")</p>";
+			linkgml($gkz, $gmlid, "Buchungsblatt");
+		}
+	}
+	$j++;
+}
+
+?>
+</body>
+</html>
